#!/usr/bin/python3

from argparse import ArgumentParser

# check for arguments and options
parser = ArgumentParser(description="Manage your weblog via commandline. Creates a static html5 compliant website with your publications.")
parser.add_argument('--blog_dir', default='~/public_html/blog', help='path to blog directory (default: %(default)s)')
parser.add_argument('action', choices=['update'], help='updates blog to current state')
args = parser.parse_args()

if vars(args)['action'] == 'update':
    print("Updating your block.")
